[
{
    blockid=general;
    help=service_general_general;
    custom="com.netscape.management.msgserv.ServiceGeneralControl";
    localvar={
	/* translate this block */
	.header.text="\u7a0b\u5e8f\u63a7\u5236";
	.dialogheader.text="\u8a0a\u606f\u50b3\u9001\u4f3a\u670d\u5668\u7a0b\u5e8f\u63a7\u5236";

	.service.general.status.border=[titled, "\u670d\u52d9\u72c0\u614b"];

	.service.text="\u670d\u52d9";
	.onoff.text="\u555f\u52d5/\u95dc\u9589";

	.startall.text="\u5168\u90e8\u555f\u52d5";
	.stopall.text="\u5168\u90e8\u95dc\u9589";

	.start.ok="\u6210\u529f\u555f\u52d5\u670d\u52d9\u3002";
	.start.error="\u670d\u52d9\u555f\u52d5\u5931\u6557\u3002";
	.stop.ok="\u6210\u529f\u95dc\u9589\u670d\u52d9\u3002";
	.stop.error="\u670d\u52d9\u95dc\u9589\u5931\u6557\u3002";
	
	.start.ha= "\u5728\u7cfb\u7d71\u4e2d\uff0c\u5075\u6e2c\u5230 HA \u914d\u7f6e\u3002\u8acb\u4f7f\u7528 HA \u555f\u52d5\u6307\u4ee4\uff0c\u4ee5\u6b63\u78ba\u555f\u52d5\u8a0a\u606f\u50b3\u9001\u4f3a\u670d\u5668\u3002";
	.stop.ha= "\u5728\u7cfb\u7d71\u4e2d\uff0c\u5075\u6e2c\u5230 HA \u914d\u7f6e\u3002\u8acb\u4f7f\u7528 HA \u95dc\u9589\u6307\u4ee4\uff0c\u4ee5\u6b63\u78ba\u95dc\u9589\u8a0a\u606f\u50b3\u9001\u4f3a\u670d\u5668\u3002";
    };
    layout=[gridbag];
    content=[
	{
	    ctrl=label;
	    text=$.header.text;
	    font=["","",16];
	    wrap=$g.label.size5;
	    constraint={
		gridx=0;
		gridy=0;
		weightx=1;
		fill=h;
		insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=separator;
	    constraint={
		gridx=0;
		gridy=1;
		weightx=1;
		fill=h;
		insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=table;
	    id=processtable;
	    showadd=false;
	    showdelete=false;
	    buttonsat=east;
	    visiblerows=7;
	    constraint={
		gridx=0;
		gridy=2;
		weightx=1;
		fill=h;
		insets=$g.insets.comp;
	    }
	    columns=[
		{
		    header=$.service.text;
		    width=78;
		},
		{
		    header=$.onoff.text;
		    width=260;
		}
	    ];
	    buttons=[
		{
		    text=$g.start.text;
		    cmd=".service.start";
		},
		{
		    text=$g.stop.text;
		    cmd=".service.stop";
		},
		{
		    text=$.startall.text;
		    cmd=".service.startall";
		},
		{
		    text=$.stopall.text;
		    cmd=".service.stopall";
		}
	    ];
	},
	{
	    ctrl=pane;
	    id=statcontainer;
	    layout=[ybox];
	    border=$.service.general.status.border;
	    constraint={
		gridx=0;
		gridy=3;
		weightx=1;
		weighty=1;
		fill=h;
		anchor=northwest;
		insets=$g.insets.comp;
	    }
	}
    ]
},
{
    blockid=imapstat;
    localvar={
	.lastconnect.text="\u4e0a\u4e00\u6b21\u9023\u7dda\u6642\u9593\uff1a";
	.totalconnect.text="\u9023\u7dda\u7e3d\u6578\uff1a";
	.currentconnect.text="\u76ee\u524d\u9023\u7dda\u6578\u76ee\uff1a";
	.failedconnect.text="\u5931\u6557\u7684\u9023\u7dda\u6578\u76ee\uff1a";
	.failedlogin.text="\u5931\u6557\u7684\u767b\u5165\u6578\u76ee\uff1a";
    };
    content=[
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    text=$.lastconnect.text;
		    wrap=$g.label.size2;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=timelabel;
		    text=$sys.imap.global.lastConnectionTime.value;
		    wrap=$g.label.size2;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    text=$.totalconnect.text;
		    wrap=$g.label.size2;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=label;
		    text=$sys.imap.global.numConnections.value;
		    wrap=$g.label.size2;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    text=$.currentconnect.text;
		    wrap=$g.label.size2;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=label;
		    text=$sys.imap.global.numCurrentConnections.value;
		    wrap=$g.label.size2;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    text=$.failedconnect.text;
		    wrap=$g.label.size2;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=label;
		    text=$sys.imap.global.numFailedConnections.value;
		    wrap=$g.label.size2;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    text=$.failedlogin.text;
		    wrap=$g.label.size2;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=label;
		    text=$sys.imap.global.numFailedLogins.value;
		    wrap=$g.label.size2;
		}
	    ]
	}
    ]
},
{
    blockid=httpstat;
    localvar={
	.lastconnect.text="\u4e0a\u4e00\u6b21\u9023\u7dda\u6642\u9593\uff1a";
	.totalconnect.text="\u9023\u7dda\u7e3d\u6578\uff1a";
	.currentconnect.text="\u76ee\u524d\u9023\u7dda\u6578\u76ee\uff1a";
	.failedconnect.text="\u5931\u6557\u7684\u9023\u7dda\u6578\u76ee\uff1a";
	.failedlogin.text="\u5931\u6557\u7684\u767b\u5165\u6578\u76ee\uff1a";
    };
    content=[
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    text=$.lastconnect.text;
		    wrap=$g.label.size2;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=timelabel;
		    text=$sys.http.global.lastConnectionTime.value;
		    wrap=$g.label.size2;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    text=$.totalconnect.text;
		    wrap=$g.label.size2;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=label;
		    text=$sys.http.global.numConnections.value;
		    wrap=$g.label.size2;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    text=$.currentconnect.text;
		    wrap=$g.label.size2;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=label;
		    text=$sys.http.global.numCurrentConnections.value;
		    wrap=$g.label.size2;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    text=$.failedconnect.text;
		    wrap=$g.label.size2;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=label;
		    text=$sys.http.global.numFailedConnections.value;
		    wrap=$g.label.size2;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    text=$.failedlogin.text;
		    wrap=$g.label.size2;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=label;
		    text=$sys.http.global.numFailedLogins.value;
		    wrap=$g.label.size2;
		}
	    ]
	}
    ]
},
{
    blockid=popstat;
    localvar={
	.lastconnect.text="\u4e0a\u4e00\u6b21\u9023\u7dda\u7684\u6642\u9593\uff1a";
	.totalconnect.text="\u9023\u7dda\u7e3d\u6578\uff1a";
	.currentconnect.text="\u76ee\u524d\u9023\u7dda\u6578\u76ee\uff1a";
	.failedconnect.text="\u5931\u6557\u7684\u9023\u7dda\u6578\u76ee\uff1a";
	.failedlogin.text="\u5931\u6557\u7684\u767b\u5165\u6578\u76ee\uff1a";
    };
    content=[
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    text=$.lastconnect.text;
		    wrap=$g.label.size2;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=timelabel;
		    text=$sys.pop.global.lastConnectionTime.value;
		    wrap=$g.label.size2;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    text=$.totalconnect.text;
		    wrap=$g.label.size2;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=label;
		    text=$sys.pop.global.numConnections.value;
		    wrap=$g.label.size2;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    text=$.currentconnect.text;
		    wrap=$g.label.size2;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=label;
		    text=$sys.pop.global.numCurrentConnections.value;
		    wrap=$g.label.size2;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    text=$.failedconnect.text;
		    wrap=$g.label.size2;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=label;
		    text=$sys.pop.global.numFailedConnections.value;
		    wrap=$g.label.size2;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    text=$.failedlogin.text;
		    wrap=$g.label.size2;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=label;
		    text=$sys.pop.global.numFailedLogins.value;
		    wrap=$g.label.size2;
		}
	    ]
	}
    ]
},
{
    blockid=smtpstat;
    localvar={
        .storedmsgs.text="\u5df2\u5132\u5b58\u7684\u90f5\u4ef6\u6578\u76ee\uff1a";
        .transmittedmsgs.text="\u5df2\u50b3\u9001\u7684\u90f5\u4ef6\u6578\u76ee\uff1a";
        .receivedmsgs.text="\u5df2\u63a5\u6536\u7684\u90f5\u4ef6\u6578\u76ee\uff1a";
        .outqmsgs.text="\u5916\u9001\u4f47\u5217\u90f5\u4ef6\uff1a";
        .inqmsgs.text="\u6536\u53d6\u7684\u4f47\u5217\u8a0a\u606f\uff1a";
    };
    content=[
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    text=$.storedmsgs.text;
		    wrap=$g.label.size2;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=timelabel;
		    text=$sys.smtp.global.StoredMessages.value;
		    wrap=$g.label.size2;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    text=$.transmittedmsgs.text;
		    wrap=$g.label.size2;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=label;
		    text=$sys.smtp.global.TransmittedMessages.value;
		    wrap=$g.label.size2;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    text=$.receivedmsgs.text;
		    wrap=$g.label.size2;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=label;
		    text=$sys.smtp.global.ReceivedMessages.value;
		    wrap=$g.label.size2;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    text=$.outqmsgs.text;
		    wrap=$g.label.size2;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=label;
		    text=$sys.smtp.global.numOutgoingQueueMessages.value;
		    wrap=$g.label.size2;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    text=$.inqmsgs.text;
		    wrap=$g.label.size2;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=label;
		    text=$sys.smtp.global.numInComingQueueMessages.value;
		    wrap=$g.label.size2;
		}
	    ]
	}
    ]
}
]

